# sc::ShellExtent Class Reference

Inheritance diagram for sc::ShellExtent:

List of all members.

## Public Member Functions

void | init (const Ref< GaussianBasisSet > &, double resolution=1.0, double tolerance=DBL_EPSILON)
const std::vector< ExtentData > & | contributing_shells (int x, int y, int z)
| Returns the shells that are nonzero at coordinates x, y, z.
const std::vector< ExtentData > & | contributing_shells (double x, double y, double z)
void | print (std::ostream &o=ExEnv::out0())
const int * | n () const
int | n (int ixyz) const
double | lower (int ixyz) const
double | upper (int ixyz) const
double | resolution () const

## Member Function Documentation

const std::vector<ExtentData>& sc::ShellExtent::contributing_shells | ( | int | x,
|  | int | y,
|  | int | z
| ) |  | `[inline]`

Returns the shells that are nonzero at coordinates x, y, z.

The shells numbers are in ascending order.

The documentation for this class was generated from the following file:

- extent.h